%global momorel 1
%define __libtoolize :

Summary: project managment tool for the Gnome
Name: planner
Version: 0.14.4
Release: %{momorel}m%{?dist}
License: GPLv2+ or LGPLv2+
Group: Applications/Engineering
URL: http://www.imendio.com/

Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/0.14/%{name}-%{version}.tar.bz2 
NoSource: 0

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPrereq: pkgconfig
BuildPrereq: intltool
BuildPrereq: rarian
BuildPrereq: libgda-devel >= 1.2.3
BuildPrereq: glib2-devel >= 2.20.1
BuildPrereq: gtk2-devel >= 2.16.1
BuildPrereq: libgnomecanvas-devel >= 2.26.0
BuildPrereq: libgnomeui-devel >= 2.24.1
BuildPrereq: libglade2-devel >= 2.6.4
BuildPrereq: libgnomeprintui22-devel >= 2.18.4
BuildPrereq: gnome-vfs2-devel >= 2.24.1
BuildPrereq: GConf2-devel >= 2.26.0
BuildPrereq: libxml2-devel >= 2.7.3
BuildPrereq: libxslt-devel >= 1.1.24
BuildPrereq: pygtk2-devel >= 2.14.1
BuildPrereq: evolution-data-server-devel >= 2.26.1.1
BuildPrereq: evolution-devel >= 2.26.1.1

%description
Planner is a project managment tool for the Gnome desktop, for planning, 
scheduling and tracking projects. 

Planner was originally developed and maintained by the guys at Imendio, but
is now maintained by the Planner community.  We wish to extend our thanks 
to Imendio for all their hard work and dedication to this an many other 
open source projects.  For more information on Imendio, please visit 
http://www.imendio.com

%package devel
Summary: Libraries and include files for developing with Eel.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
This package provides the necessary development libraries and include
files to allow you to develop with Eel.

%prep
%setup -q

%build
%configure \
    --disable-schemas-install \
    --enable-gtk-doc \
    --enable-python \
    --enable-python-plugin \
    --enable-eds \
    --enable-simple-priority-scheduling \
    --disable-eds-backend \
    --disable-update-mimedb
#    --enable-database=yes \
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install

%clean
rm -rf --preserve-root %{buildroot}

%post
/sbin/ldconfig

# schemas
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
    %{_sysconfdir}/gconf/schemas/planner.schemas \
    > /dev/null ||:

# update mime database
%{_bindir}/update-mime-database %{_datadir}/mime &> /dev/null

# update icon
gtk-update-icon-cache -q -t -f /usr/share/icons/hicolor

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/planner.schemas \
	> /dev/null || :
fi

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/planner.schemas \
	> /dev/null || :
fi

%postun
/sbin/ldconfig

# update mime database
%{_bindir}/update-mime-database %{_datadir}/mime &> /dev/null

# update icon
gtk-update-icon-cache -q -f -t /usr/share/icons/hicolor

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog README
%{_sysconfdir}/gconf/schemas/planner.schemas
%{_bindir}/planner
%{_libdir}/libplanner-1.so.*
%exclude %{_libdir}/libplanner-1.la
%{_libdir}/planner
%{_libdir}/python*/site-packages/*
%{_datadir}/applications/planner.desktop
%{_datadir}/doc/planner
%{_datadir}/gnome/help/planner
%{_datadir}/icons/hicolor/48x48/mimetypes/gnome-mime-application-x-planner.png
%{_datadir}/locale/*/*/*
%{_datadir}/man/man1/planner.1.*
%{_datadir}/mime/packages/planner.xml
%{_datadir}/omf/planner
%{_datadir}/pixmaps/gnome-planner.png
%{_datadir}/planner

%files devel
%defattr(-, root, root)
%{_includedir}/planner-1.0
%{_libdir}/libplanner-1.so
%{_libdir}/pkgconfig/libplanner-1.pc
%{_datadir}/gtk-doc/html/libplanner

%changelog
* Thu Apr 16 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.14.4-1m)
- update to 0.14.4

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.14.3-5m)
- rebuild against rpm-4.6

* Wed Dec 31 2008 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.14.3-4m)
- rebuild agaisst python-2.6.1-1m

* Fri Dec 26 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.14.3-3m)
- revise for rpm46 (s/Patch/Patch0/ and s/%%patch/%%patch0/)
- License: GPLv2+ or LGPLv2+

* Sat Oct  4 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.14.3-2m)
- rebuild against evolution-data-server-2.24.0
- disable database

* Sat Apr 19 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.14.3-1m)
- update to 0.14.3

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.14.2-6m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.14.2-5m)
- %%NoSource -> NoSource

* Mon Sep 24 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.14.2-4m)
- modify patch0 (for evolution-2.12.0)
- disable evolution

* Sat Aug  4 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.14.2-3m)
- add intltoolize (intltool-0.36.0)

* Wed Jul 11 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.14.2-2m)
- add -maxdepth 1 to del .la

* Sun May 20 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.14.2-1m)
- initial build

